#ifndef __ALPHALIST__
#define __ALPHALIST__

struct AlphaLink {
	Str255				key;
	void 				*data;
	struct AlphaLink	*next;
};
typedef struct AlphaLink AlphaLink, *AlphaLinkPtr, *AlphaLinkedList;

AlphaLinkedList NewAlphaLinkedList(void);
void DisposeAlphaLinkedList(AlphaLinkedList *list);
short	AddAlphaItem(AlphaLinkedList list, Str255 sortKey, void *data);
short RemoveAlphaItem(AlphaLinkedList list, Str255 sortKey);
void *GetAlphaItem(AlphaLinkedList list, Str255 sortKey);

#endif /* __ALPHALIST__ */