#ifndef __LINKEDLIST__
#define __LINKEDLIST__

/*enum LinkedListType {
	plain = 0,
	orderedByNumber,
	orderedByCString,
	orderedByPString
};
typedef enum LinkedListType LinkedListType;
*/
struct ListEntry {
	struct ListEntry	*next;
	long				data;
	long				key;
};
typedef struct ListEntry ListEntry, *ListEntryPtr;

struct LinkedListMaster {
	struct ListEntry	*lList;
	long				numEntries;
//	LinkedListType 		type;
};
typedef struct LinkedListMaster LinkedListMaster, *LinkedListPtr;

void NewLinkedList(LinkedListPtr *list/*, LinkedListType type*/);
void DisposeLinkedList(LinkedListPtr list);

void AddItemToList(LinkedListPtr list, long data, long key /*orderKey*/);
void RemoveItemFromList(LinkedListPtr list, long key);
long GetListItemByRank(LinkedListPtr list, long rank);
//long GetListItemByData(LinkedListPtr list, long data);
long GetListItemByKey(LinkedListPtr  list, long orderKey); 
long GetListKeyByRank(LinkedListPtr list, long rank);

long LinkedListCount(LinkedListPtr list);
Boolean LinkedListIsEmpty(LinkedListPtr list); 

#endif // __LINKEDLIST__