#ifndef __WINDOWUTIL__
#define __WINDOWUTIL__

struct TileStackWindowData{
	short numberOfWindows;
	short currentWindow;
	short numberOfRows, numberOfColumns;
	Rect screenRect;
	short width, height;
	void (*autosize)(WindowPtr w);
};
typedef struct TileStackWindowData TileStackWindowData;

struct WindowListNode {
	WindowPtr w;
	struct WindowListNode *next;
};
typedef struct WindowListNode WindowListNode, *WindowListPtr;

#define kTileHorizontal	0
#define kTileVertical	1

void TileWindows(short minWidth, short minHeight,void (*autosize)(WindowPtr ww), Boolean (*func)(WindowPtr wp));
void StackWindows(void (*autosize)(WindowPtr ww), Boolean (*func)(WindowPtr wp));
void SetStdZoomRect (Rect *r);

#endif // __WINDOWUTIL__