/*
 * TileMenuCommon.h
 */

#ifndef __TILEMENUCOMMON__
#define __TILEMENUCOMMON__

// defines
#define kMItemWidth 	32
#define kMItemHeight	32
#define kNumberOfTiles	64 	// not really, but that's all we can get in one byte
#define kMargin			0	// for now
#define kMenuWidth		8	// # of items wide
#define kMenuHeight		8	// # of items high
#define kMenuBorder		3	// a nice white border around everything.

// functions
//void InvertItem(Rect*mRect,short i);
void TMInvertItem(Rect*mRect,short i);
void TMInvertItem2(Rect*itemRect);
void TileMenuDraw(GWorldPtr tiles, Rect *mRect);
short	TileMenuItemHit(Rect *mRect, Point hitPt);
void	TileMenuSize(short *width, short *height);
void SetTMTiles(GWorldPtr tiles);
void CheckTMItem(short item);
short GetTMCheckedItem(void);


#endif /* __TILEMENUCOMMON__ */