/*
 * WinManager.h
 *
 * Window Manager
 * 2/3/96
 */

#ifndef __WINMANAGER__
#define __WINMANAGER__

#include "LinkedList.h"

struct WMData {
	long 			type;
	LinkedListPtr	children;
	WindowPtr 		parent,
					me;
};
typedef struct WMData WMData;

#define kScenarioWindow		0
#define kOutdoorsMap		1

//void RegisterWindow(WindowPtr w, long t);
void RegisterWindow(WindowPtr w, WindowPtr parent, long t);
void UnregisterWindow(WindowPtr w);
long FindWindowType(WindowPtr w);
long CountWindows(void);
WindowPtr FindNthWindow(long n);
WindowPtr FindNthTypedWindow(long n, long t);

#endif // __WINMANAGER__